# Record Class CSHetznerDNSRecord

java.lang.Object
java.lang.Record
com.io7m.certusine.hetzner.internal.CSHetznerDNSRecord

Record Components:
  `zoneId` - The zone ID
  `id` - The record ID
  `type` - The type
  `name` - The name
  `records` - The record values
  `ttl` - The time-to-live

public record CSHetznerDNSRecord(String zoneId, Optional<String> id, String type, String name, List<com.io7m.certusine.hetzner.internal.CSHetznerRecordValue> records, int ttl) extends Record
The Hetzner DNS record.

See Also:
  - "https://docs.hetzner.cloud/reference/cloud#tag/zones"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSHetznerDNSRecord(String zoneId, Optional<String> id, String type, String name, List<com.io7m.certusine.hetzner.internal.CSHetznerRecordValue> records, int ttl)`
  The Hetzner DNS record.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Optional<String>`
  `id()`
  Returns the value of the `id` record component.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `List<com.io7m.certusine.hetzner.internal.CSHetznerRecordValue>`
  `records()`
  Returns the value of the `records` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `int`
  `ttl()`
  Returns the value of the `ttl` record component.
  `String`
  `type()`
  Returns the value of the `type` record component.
  `String`
  `zoneId()`
  Returns the value of the `zoneId` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSHetznerDNSRecord

    public CSHetznerDNSRecord(String zoneId, Optional<String> id, String type, String name, List<com.io7m.certusine.hetzner.internal.CSHetznerRecordValue> records, int ttl)
    The Hetzner DNS record.
    Parameters:
      `zoneId` - The zone ID
      `id` - The record ID
      `type` - The type
      `name` - The name
      `records` - The records
      `ttl` - The time-to-live
    See Also:
      - "https://dns.hetzner.com/api-docs#operation/CreateRecord"

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### zoneId

    public String zoneId()
    Returns the value of the `zoneId` record component.
    Returns:
      the value of the `zoneId` record component

  - ### id

    public Optional<String> id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component

  - ### type

    public String type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### records

    public List<com.io7m.certusine.hetzner.internal.CSHetznerRecordValue> records()
    Returns the value of the `records` record component.
    Returns:
      the value of the `records` record component

  - ### ttl

    public int ttl()
    Returns the value of the `ttl` record component.
    Returns:
      the value of the `ttl` record component